Chuyển đến nội dung
Diễn đàn CADViet
Đăng nhập để thực hiện theo  
victor85

[Yêu cầu] Lisp chèn nhanh point vào mid center của nhiều text

Các bài được khuyến nghị

Các bác viết dùm em lisp chèn nhanh point số lượng lớn vào mid center của nhiều text mình chọn với.

Lisp: pmt.lsp

Chọn: các text đầu vào (text chỉ nhận loại text định nghĩa mid center)

Kết quả thì chèn được point vào các text đó.

Cho em cảm ơn các bác trước nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Bạn thử xem

(defun c:pmt ( / SS N)
 (princ "\nChon cac text")
 (setq ss (ssget '((-4 . "<and") (0 . "TEXT")(72 . 1)(73 . 2)(-4 . "and>"))))
 (while (setq n (ssname ss 0))
(entmake(list '(0 . "POINT") (cons 10 (CDR(ASSOC 11 (entget N))))))
(SSDEL N SS)
)
 (princ)
 )

  • Vote tăng 2

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Với filter như thế này bạn k cần mã and nữa

(mapcar
'(lambda(x)
 (entmake (list (cons 0 "POINT")(cons 10 (cdr (assoc 11 (entget x))))))
)
(acet-ss-to-list (ssget (list (cons 0 "TEXT")(cons 72 1)(cons 73 2))))
)

  • Vote tăng 1

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

lisp chạy ok rồi bác ạ. cảm ơn bác nhé!

Chia sẻ bài đăng này


Liên kết tới bài đăng
Chia sẻ trên các trang web khác

Tạo một tài khoản hoặc đăng nhập để nhận xét

Bạn cần phải là một thành viên để lại một bình luận

Tạo tài khoản

Đăng ký một tài khoản mới trong cộng đồng của chúng tôi. Điều đó dễ mà.

Đăng ký tài khoản mới

Đăng nhập

Bạn có sẵn sàng để tạo một tài khoản ? Đăng nhập tại đây.

Đăng nhập ngay

Đăng nhập để thực hiện theo  

×